Download it now!
Bug 73596 - FILEOPEN: docx Index field not get imported and hence get lost while saving
Summary: FILEOPEN: docx Index field not get imported and hence get lost while saving
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-TableofContents
  Show dependency treegraph
 
Reported: 2014-01-14 08:51 UTC by Nikhil Walvekar
Modified: 2019-01-29 08:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File containing index (15.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-14 08:51 UTC, Nikhil Walvekar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikhil Walvekar 2014-01-14 08:51:07 UTC
Created attachment 92020 [details]
File containing index

If we open a docx file containing index (alphabetical index) those are loaded as normal text instead of alphabetical index.
When we save the same file, index information is lost.
Comment 1 Commit Notification 2014-02-13 10:19:12 UTC
Nikhil Walvekar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07911ac9fd343fd59229b631c0fcf8dd30426b07

fdo#73596 Added support to import and export Index from docx.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-02-26 10:28:21 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=263938c4a8789d881f8e736d317b6bcc09c3bce5

fdo#73596 [DOCX] Multiple Columns in Index



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-02-26 11:19:19 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a45bdb8aa8f3a183842c715106e4f6e59f2f94c7

fdo#73596 [DOCX] Auto Columns in Index



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-03-05 08:49:44 UTC
Nikhil Walvekar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d043c9e3be791993348afaba6effdc3731f7c33d

fdo#73596 Added support to import and export \r,\h Index flags.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-03-05 10:08:40 UTC
Vinaya Mandke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7691532a89a94120c220f77e8cc6c42615e3d7c4

fdo#73596 [DOCX] Index:distance between columns



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2014-03-18 17:42:19 UTC
Looks like the fields are correctly exported back to .docx.

Though a strange thing is going on when updating the roundtripped index.
If you update the roundtripped index in word, a new line is added between the previous paragraph ('On the Insert tab, the') and the index. As far I tried, I can't delete this new line.

Bug in Word or somewhere in the roundtripped file :)? Looks like the original file doesn't have this behavior.

Kind regards,
Joren
Comment 7 darshan.gandhi 2014-04-17 13:25:10 UTC
Closing this issue as it is no more reproducible on latest LO master dated 17th April 2014.
Comment 8 Vinaya Mandke 2014-04-17 13:52:38 UTC
Reopening this Issue as all Index switches are still not supported.


All available switches::
\b \c \d \e \f \g \k \l \p \r \s \y \z

Currently supported:-
\r \c \e \f

Description of the switches:-
http://office.microsoft.com/en-in/word-help/field-codes-index-field-HA102017394.aspx

Commit for \f:
https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=a7bc9c1e4977bd3430df69287fa0a8377a686c58
Comment 9 jani 2016-09-27 05:55:56 UTC
Does not look like an easyHack.

Please when adding easyHack also add topic<foo> (if relevant), skill<foo>, difficulty<foo> (if known).